# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    brochures_directory: '%kernel.project_dir%/public/uploads/filiare'
    brochures_directory_clients: '%kernel.project_dir%/public/uploads/clients'
    brochures_directory_fournisseur: '%kernel.project_dir%/public/uploads/fournisseur'
    brochures_directory_blogg: '%kernel.project_dir%/public/uploads/blogg'
    brochures_directory_service: '%kernel.project_dir%/public/uploads/service'
    brochures_directory_temoignage: '%kernel.project_dir%/public/uploads/temoignage'
    brochures_directory_project: '%kernel.project_dir%/public/uploads/project'
    brochures_directory_spontaner: '%kernel.project_dir%/public/uploads/spontaner'
    brochures_directory_emplyeurcarriere: '%kernel.project_dir%/public/uploads/ecarriere'
    brochures_directory_acc: '%kernel.project_dir%/public/uploads/accueil'
    brochures_directory_codir: '%kernel.project_dir%/public/uploads/codir'
    brochures_directory_about: '%kernel.project_dir%/public/uploads/about'
    

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    App\Twig\AppExtension:
        class: App\Twig\AppExtension
        tags: ['twig.extension']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones
